<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>SingleBallotCardComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/operation/3-ballots-list/single-ballot-card/single-ballot-card.component.ts</code>
</p>





<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>[single-ballot-card]</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./single-ballot-card.component.scss,<br>../shared.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./single-ballot-card.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#participate">participate</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#ballot">ballot</a>
                            </li>
                            <li>
                                <a href="#type">type</a>
                            </li>
                        </ul>
                    </td>
                </tr>




                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#description">description</a>
                                </li>
                                <li>
                                    <a href="#isVotation">isVotation</a>
                                </li>
                                <li>
                                    <a href="#count">count</a>
                                </li>
                                <li>
                                    <a href="#documentations">documentations</a>
                                </li>
                                <li>
                                    <a href="#ballotFilled">ballotFilled</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(router: <a href="https://angular.io/api/router/Router" target="_blank">Router</a>, route: <a href="https://angular.io/api/router/ActivatedRoute" target="_blank">ActivatedRoute</a>, translateService: TranslateService, currentVotingService: <a href="../injectables/CurrentVotingService.html">CurrentVotingService</a>)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="39" class="link-to-prism">src/app/operation/3-ballots-list/single-ballot-card/single-ballot-card.component.ts:39</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>router</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/Router" target="_blank" >Router</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>route</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/router/ActivatedRoute" target="_blank" >ActivatedRoute</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>currentVotingService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/CurrentVotingService.html" target="_self" >CurrentVotingService</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="ballot"></a>
                        <code>ballot</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="../interfaces/Votation.html" target="_self" >Votation | ElectionBallot</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="39" class="link-to-prism">src/app/operation/3-ballots-list/single-ballot-card/single-ballot-card.component.ts:39</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="type"></a>
                        <code>type</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code>&quot;votation&quot; | &quot;election-proportional&quot; | &quot;election-majority&quot;</code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="38" class="link-to-prism">src/app/operation/3-ballots-list/single-ballot-card/single-ballot-card.component.ts:38</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>



    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="participate"></a>
                        <span class="name">
                            <b>
                            participate
                            </b>
                            <a href="#participate"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>participate()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="77" class="link-to-prism">src/app/operation/3-ballots-list/single-ballot-card/single-ballot-card.component.ts:77</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>


    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="description"></a>
                        <span class="name"><b>description</b><a href="#description"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>description()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="47" class="link-to-prism">src/app/operation/3-ballots-list/single-ballot-card/single-ballot-card.component.ts:47</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isVotation"></a>
                        <span class="name"><b>isVotation</b><a href="#isVotation"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>isVotation()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="58" class="link-to-prism">src/app/operation/3-ballots-list/single-ballot-card/single-ballot-card.component.ts:58</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="count"></a>
                        <span class="name"><b>count</b><a href="#count"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>count()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="62" class="link-to-prism">src/app/operation/3-ballots-list/single-ballot-card/single-ballot-card.component.ts:62</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="documentations"></a>
                        <span class="name"><b>documentations</b><a href="#documentations"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>documentations()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="68" class="link-to-prism">src/app/operation/3-ballots-list/single-ballot-card/single-ballot-card.component.ts:68</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="ballotFilled"></a>
                        <span class="name"><b>ballotFilled</b><a href="#ballotFilled"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>ballotFilled()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="73" class="link-to-prism">src/app/operation/3-ballots-list/single-ballot-card/single-ballot-card.component.ts:73</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, Input } from &quot;@angular/core&quot;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { Votation } from &#x27;../../../model/votation&#x27;;
import { ElectionBallot } from &#x27;../../../model/election&#x27;;
import { CurrentVotingService } from &#x27;../../current-voting-service&#x27;;
import { ActivatedRoute, Router } from &quot;@angular/router&quot;;

@Component({
  selector: &#x27;[single-ballot-card]&#x27;,
  templateUrl: &#x27;./single-ballot-card.component.html&#x27;,
  styleUrls: [&#x27;./single-ballot-card.component.scss&#x27;, &#x27;../shared.scss&#x27;]
})

export class SingleBallotCardComponent {
  @Input() type: &quot;votation&quot; | &quot;election-proportional&quot; | &quot;election-majority&quot;;
  @Input() ballot: Votation | ElectionBallot;

  constructor(private router: Router,
              private route: ActivatedRoute,
              private translateService: TranslateService,
              private currentVotingService: CurrentVotingService) {
  }

  get description(): string {
    let count &#x3D; {counter: this.count};
    if (this.isVotation) {
      return this.translateService.instant(&#x27;ballot-list.votation.ballot.summary&#x27;, count)
    }
    if (this.type &#x3D;&#x3D;&#x3D; &quot;election-proportional&quot;) {
      return this.translateService.instant(&#x27;ballot-list.election.ballot.summary.proportional&#x27;, count);
    }
    return this.translateService.instant(&#x27;ballot-list.election.ballot.summary.majority&#x27;, count);
  }

  get isVotation(): boolean {
    return this.type &#x3D;&#x3D;&#x3D; &quot;votation&quot;;
  }

  private get count() {
    return this.isVotation ?
      (&lt;Votation&gt;this.ballot).subjects.length + (&lt;Votation&gt;this.ballot).variantSubjects.length :
      (&lt;ElectionBallot&gt;this.ballot).elections.reduce((pv, cv) &#x3D;&gt; pv + cv.numberOfSelections, 0);
  }

  get documentations() {
    return this.ballot.documentations.filter(
      doc &#x3D;&gt; doc.lang.toLowerCase() &#x3D;&#x3D;&#x3D; this.translateService.currentLang);
  }

  get ballotFilled(): boolean {
    return this.currentVotingService.hasVotedFor(this.ballot);
  }

  participate(): void {
    if (this.isVotation) {
      CurrentVotingService.initVotationBallot([this.ballot as Votation]);
      this.currentVotingService.lastVisitedPage &#x3D; &#x27;BALLOT_SELECTION&#x27;;
      this.router.navigate([&#x27;../votationBallot/&#x27;],
        {relativeTo: this.route, queryParams: {domainOfInfluence: this.ballot.domainOfInfluence}});
    } else {
      // TODO: navigate to election ballot page
    }
  }
}

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--&gt;

&lt;div class&#x3D;&quot;card&quot;&gt;
  &lt;div *ngIf&#x3D;&quot;ballotFilled&quot; class&#x3D;&quot;ballot-filled-marker&quot; aria-hidden&#x3D;&quot;true&quot;&gt;
    {{ &#x27;ballot-list.ballot-filled&#x27; | translate }}
    &lt;i class&#x3D;&quot;fas fa-check-circle fa-lg&quot; data-fa-transform&#x3D;&quot;right-6&quot;&gt;&lt;/i&gt;
  &lt;/div&gt;
  &lt;div class&#x3D;&quot;form-note&quot;&gt;

    &lt;div class&#x3D;&quot;description&quot;&gt;
      &lt;chvote-ballot-header [ballot]&#x3D;&quot;ballot&quot; display&#x3D;&quot;ballot&quot;&gt;&lt;/chvote-ballot-header&gt;
      &lt;div class&#x3D;&quot;details&quot;&gt;
        &lt;span [innerHTML]&#x3D;&quot;description&quot; class&#x3D;&quot;subject-count&quot;&gt;&lt;/span&gt;
        &lt;actions-on-ballots *ngIf&#x3D;&quot;ballotFilled&quot; [ballots]&#x3D;&quot;[ballot]&quot; [isVotation]&#x3D;&quot;isVotation&quot;&gt;&lt;/actions-on-ballots&gt;
      &lt;/div&gt;
    &lt;/div&gt;

    &lt;button *ngIf&#x3D;&quot;!ballotFilled&quot;
            mat-raised-button
            class&#x3D;&quot;primary participate-button&quot;
            (click)&#x3D;&quot;participate(true)&quot;&gt;
      {{ &#x27;global.actions.participate&#x27; | translate }}
    &lt;/button&gt;

  &lt;/div&gt;
&lt;/div&gt;

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./single-ballot-card.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">/*!*************************************************************************************************
 *                                                                                                *
 *  - #%L                                                                                         *
 *  - CHVote-Receiver                                                                             *
 *  - %%                                                                                          *
 *  - Copyright (C) 2016 - 2018 République et Canton de Genève                                    *
 *  - %%                                                                                          *
 *  - This program is free software: you can redistribute it and/or modify                        *
 *  - it under the terms of the GNU Affero General Public License as published by                 *
 *  - the Free Software Foundation, either version 3 of the License, or                           *
 *  - (at your option) any later version.                                                         *
 *  -                                                                                             *
 *  - This program is distributed in the hope that it will be useful,                             *
 *  - but WITHOUT ANY WARRANTY; without even the implied warranty of                              *
 *  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *
 *  - GNU General Public License for more details.                                                *
 *  -                                                                                             *
 *  - You should have received a copy of the GNU Affero General Public License                    *
 *  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                        *
 *  - #L%                                                                                         *
 *                                                                                                *
 **************************************************************************************************/
.card {
  display: flex;
  flex-direction: column;
}

.form-note {
  display: flex;
  flex-direction: column;
}

.participate-button {
  flex: 0 0 auto;
  align-self: flex-end;
}

.description {
  flex: 1 1 auto;
  display: flex;
  flex-direction: column;
}

@media screen and (min-width: 576px) {
  .form-note {
    flex-direction: row;
  }

  .participate-button {
    align-self: center;
  }
}
</code></pre>
                <p class="comment">
                    <code>../shared.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">/*!*************************************************************************************************
 *                                                                                                *
 *  - #%L                                                                                         *
 *  - CHVote-Receiver                                                                             *
 *  - %%                                                                                          *
 *  - Copyright (C) 2016 - 2018 République et Canton de Genève                                    *
 *  - %%                                                                                          *
 *  - This program is free software: you can redistribute it and/or modify                        *
 *  - it under the terms of the GNU Affero General Public License as published by                 *
 *  - the Free Software Foundation, either version 3 of the License, or                           *
 *  - (at your option) any later version.                                                         *
 *  -                                                                                             *
 *  - This program is distributed in the hope that it will be useful,                             *
 *  - but WITHOUT ANY WARRANTY; without even the implied warranty of                              *
 *  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                *
 *  - GNU General Public License for more details.                                                *
 *  -                                                                                             *
 *  - You should have received a copy of the GNU Affero General Public License                    *
 *  - along with this program. If not, see &lt;http://www.gnu.org/licenses/&gt;.                        *
 *  - #L%                                                                                         *
 *                                                                                                *
 **************************************************************************************************/
.ballot-filled-marker + div {
  border-color: #009900;
}

.ballot-filled-marker {
  align-self: flex-end;
  line-height: 1.6;
  font-size: 1.2em;
  font-weight: bold;
  color: white;
  background-color: #009900;
  padding: 6px 20px;
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~  ~ /*                                                                                            ~  ~  - #%L                                                                                        ~  ~  - CHVote-Receiver                                                                            ~  ~  - %%                                                                                         ~  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~  ~  - %%                                                                                         ~  ~  - This program is free software: you can redistribute it and/or modify                       ~  ~  - it under the terms of the GNU Affero General Public License as published by                ~  ~  - the Free Software Foundation, either version 3 of the License, or                          ~  ~  - (at your option) any later version.                                                        ~  ~  -                                                                                            ~  ~  - This program is distributed in the hope that it will be useful,                            ~  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~  ~  - GNU General Public License for more details.                                               ~  ~  -                                                                                            ~  ~  - You should have received a copy of the GNU Affero General Public License                   ~  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~  ~  - #L%                                                                                        ~  ~  */                                                                                           ~  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~--><div class="card">  <div *ngIf="ballotFilled" class="ballot-filled-marker" aria-hidden="true">    {{ \'ballot-list.ballot-filled\' | translate }}    <i class="fas fa-check-circle fa-lg" data-fa-transform="right-6"></i>  </div>  <div class="form-note">    <div class="description">      <chvote-ballot-header [ballot]="ballot" display="ballot"></chvote-ballot-header>      <div class="details">        <span [innerHTML]="description" class="subject-count"></span>        <actions-on-ballots *ngIf="ballotFilled" [ballots]="[ballot]" [isVotation]="isVotation"></actions-on-ballots>      </div>    </div>    <button *ngIf="!ballotFilled"            mat-raised-button            class="primary participate-button"            (click)="participate(true)">      {{ \'global.actions.participate\' | translate }}    </button>  </div></div></div>'
    var COMPONENTS = [{'name': 'ActionsOnBallotsComponent', 'selector': 'actions-on-ballots'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotsListComponent', 'selector': 'app-ballots-list'},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'ChvoteBallotHeaderComponent', 'selector': 'chvote-ballot-header'},{'name': 'ChvoteCheckboxComponent', 'selector': 'chvote-checkbox'},{'name': 'ChvoteCoatOfArmsComponent', 'selector': 'chvote-coat-of-arms'},{'name': 'ChvoteDialogComponent', 'selector': 'chvote-dialog'},{'name': 'ChvoteDocumentsComponent', 'selector': 'chvote-documents'},{'name': 'ChvoteExpansionPanelComponent', 'selector': 'chvote-expansion-panel'},{'name': 'ChvoteHelperComponent', 'selector': 'chvote-helper'},{'name': 'ChvoteSubjectCardComponent', 'selector': '[chvote-subject-card]'},{'name': 'ChvoteVariantSubjectCardComponent', 'selector': '[chvote-variant-subject-card]'},{'name': 'ChvoteVotationBallotComponent', 'selector': 'chvote-votation-ballot'},{'name': 'ControlComponent', 'selector': 'control, [control]'},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'ErrorMessageComponent', 'selector': 'error-message-component'},{'name': 'FinalizationComponent', 'selector': 'finalization, [finalization]'},{'name': 'FooterDocumentsComponent', 'selector': 'footer-documents'},{'name': 'FooterZoneComponent', 'selector': 'footer-zone'},{'name': 'GroupedVotationCardComponent', 'selector': '[grouped-votation-card]'},{'name': 'HeaderZoneComponent', 'selector': 'header-zone'},{'name': 'IdentificationComponent', 'selector': ''},{'name': 'LegalInformationComponent', 'selector': ''},{'name': 'LocalizedLabelComponent', 'selector': '[localized-label]'},{'name': 'OperationComponent', 'selector': ''},{'name': 'SideZoneComponent', 'selector': 'side-zone'},{'name': 'SideZoneSectionComponent', 'selector': 'side-zone-section'},{'name': 'SingleBallotCardComponent', 'selector': '[single-ballot-card]'},{'name': 'SummaryComponent', 'selector': 'summary, [summary]'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'VotationBallotComponent', 'selector': 'votation-ballot, [votation-ballot]'},{'name': 'VotationCardComponent', 'selector': '[votation-card]'},{'name': 'VoteWorkflowStepComponent', 'selector': 'li[vote-workflow-step]'},{'name': 'VoteWorkflowViewComponent', 'selector': 'vote-workflow-view'}];
    var DIRECTIVES = [];
    var ACTUAL_COMPONENT = {'name': 'SingleBallotCardComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'SingleBallotCardComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
